package com.ycwl.basic.model.pc.menu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @date 2022年10月20日 10:59
 * 菜单数node类
 */
@Data
@ApiModel(value = "菜单数node类", description = "菜单数node类")
public class MenuNode {

    @ApiModelProperty(value = "当前节点ID")
    private String id;

    @ApiModelProperty(value = "父节点ID")
    private String parentId;

    @ApiModelProperty(value = "菜单名")
    private String name;

    @ApiModelProperty(value = "路由")
    private String target;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "子节点数据")
    private List<MenuNode> childrenList;

}
