package com.ycwl.basic.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * ignore token validation
 * <p>
 * check all req except add this annotation
 * this annotation could use in method and class type
 * <p>
 *
 * @ahtuor yangchen
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(value = {ElementType.METHOD, ElementType.TYPE})
public @interface IgnoreToken {

}
